<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/area_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>06/27/86  area_info_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in area_info_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: area_info_: 02/13/84  area_info_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: returns information about an area.
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>Syntax:
<span id="L14" class="LineNr">14 </span>declare area_info_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L15" class="LineNr">15 </span>call area_info_ <span class="textRainbow_lv0_p0">(</span>info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Arguments:
<span id="L19" class="LineNr">19 </span>info_ptr
<span id="L20" class="LineNr">20 </span>   points to the area_info structure defined by the system include
<span id="L21" class="LineNr">21 </span>   file, area_info.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L22" class="LineNr">22 </span>code
<span id="L23" class="LineNr">23 </span>   is a system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>:Entry: get_block_data_info: 06/27/86  get_block_data_info
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>Function: returns a pointer and length for the first block or next
<span id="L29" class="LineNr">29 </span>block in an area, and whether or not it is free.  This allows a program
<span id="L30" class="LineNr">30 </span>to step through an area looking at each block in turn.  Extensible
<span id="L31" class="LineNr">31 </span>areas are handled correctly.
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>Syntax:
<span id="L34" class="LineNr">34 </span>declare area_info_$get_block_data_info entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L35" class="LineNr">35 </span>          ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>18<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L36" class="LineNr">36 </span>call area_info_$get_block_data_info <span class="textRainbow_lv0_p0">(</span>area_ptr<span class="textRainbow_lv0_o0">,</span> next_ptr_flag<span class="textRainbow_lv0_o0">,</span>
<span id="L37" class="LineNr">37 </span>          block_data_ptr<span class="textRainbow_lv0_o0">,</span> output_area_ptr<span class="textRainbow_lv0_o0">,</span> next_data_ptr<span class="textRainbow_lv0_o0">,</span> data_size<span class="textRainbow_lv0_o0">,</span>
<span id="L38" class="LineNr">38 </span>          block_allocated_flag<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>Arguments:
<span id="L42" class="LineNr">42 </span>area_ptr
<span id="L43" class="LineNr">43 </span>   is a pointer to the area in which the data block will be found.
<span id="L44" class="LineNr">44 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr">45 </span>next_ptr_flag
<span id="L46" class="LineNr">46 </span>   if &quot;1&quot;b, then return information about the block after the one
<span id="L47" class="LineNr">47 </span>   pointed to by block_data_ptr.  If &quot;0&quot;b, then return information
<span id="L48" class="LineNr">48 </span>   about the block pointed to by block_data_ptr.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L49" class="LineNr">49 </span>block_data_ptr
<span id="L50" class="LineNr">50 </span>   pointer to a data block in the area.  If it is null then it will be
<span id="L51" class="LineNr">51 </span>   internnaly initialized to the first block in the area.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>output_area_ptr
<span id="L55" class="LineNr">55 </span>   is a pointer to the area which actually contains the block about
<span id="L56" class="LineNr">56 </span>   which information is returned.  It will be equal to area_ptr unless
<span id="L57" class="LineNr">57 </span>   the area is extensible and the returned block information required
<span id="L58" class="LineNr">58 </span>   going to the next segment in the area.  When stepping through the
<span id="L59" class="LineNr">59 </span>   blocks in an area, this pointer should be used as input <span class="textRainbow_lv0_p0">(</span>i.e.
<span id="L60" class="LineNr">60 </span>   area_ptr<span class="textRainbow_lv0_p0">)</span> for the next call.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L61" class="LineNr">61 </span>next_data_ptr
<span id="L62" class="LineNr">62 </span>   is a pointer to the block about which nformation is returned.  It
<span id="L63" class="LineNr">63 </span>   will be equal to block_data_ptr unless next_ptr_flag was set, in
<span id="L64" class="LineNr">64 </span>   which case it will point to the block after the one pointed to by
<span id="L65" class="LineNr">65 </span>   block_data_ptr.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L66" class="LineNr">66 </span>
<span id="L67" class="LineNr">67 </span>
<span id="L68" class="LineNr">68 </span>data_size
<span id="L69" class="LineNr">69 </span>   is the size, in words, of the returned data block.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L70" class="LineNr">70 </span>block_allocated_flag
<span id="L71" class="LineNr">71 </span>   If &quot;1&quot;b, then the block is allocated.  If &quot;0&quot;b, then the block is
<span id="L72" class="LineNr">72 </span>   free.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L73" class="LineNr">73 </span>code
<span id="L74" class="LineNr">74 </span>   is a standard system status code.  It is returned as
<span id="L75" class="LineNr">75 </span>   error_table_$end_of_info if the block about which information is
<span id="L76" class="LineNr">76 </span>   requested is in virgin storage in the area <span class="textRainbow_lv0_p0">(</span>i.e. the end of the area
<span id="L77" class="LineNr">77 </span>   has been reached<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
